Visit Our UNIX and Linux User Community


stty: error occurs when installing rpm


 
Thread Tools Search this Thread
Top Forums UNIX for Advanced & Expert Users stty: error occurs when installing rpm
# 1  
Old 09-11-2008
stty: error occurs when installing rpm

Hello All,

when I install rpm

rpm --install rpm packagename

I got the following errors

stty:standard input:invalid argument
stty:standard input:invalid argument

I dont know what i have to do exactly.
I search on google for the same but not a particular standard solution is given

please help me to overcome this problem

Regards,
Amit
# 2  
Old 09-11-2008
Usually this is because some user (maybe root) has some stty commands in their .profile or .bash_profile or .bashrc, usually something like stty erase ^H.

You can safely ignore those messages, however if you like to be tidy you can prevent them from coming up by changing them as follows:

Code:
# only use stty if stdin is a terminal
[[ -t 0 ]] && stty erase ^H

It is a good idea to do this as well if you have some software that analyses the output of some commands and does not expect these "stty:standard input:invalid argument" messages.
# 3  
Old 09-11-2008
Quote:
Originally Posted by Annihilannic
Usually this is because some user (maybe root) has some stty commands in their .profile or .bash_profile or .bashrc, usually something like stty erase ^H.

You can safely ignore those messages, however if you like to be tidy you can prevent them from coming up by changing them as follows:

Code:
# only use stty if stdin is a terminal
[[ -t 0 ]] && stty erase ^H

It is a good idea to do this as well if you have some software that analyses the output of some commands and does not expect these "stty:standard input:invalid argument" messages.
Helo thx for yr reply

I have changed
cd /home/sroot
.bashrc
.bash_profile
cd /etc

profile
bashrc

but still got the same error

Regards,
Amit
# 4  
Old 09-11-2008
What RPM are you installing? Maybe it executes its install scripts under another user ID.
# 5  
Old 09-12-2008
Quote:
Originally Posted by Annihilannic
What RPM are you installing? Maybe it executes its install scripts under another user ID.
Helo thx for replying me.

I m installing my own build RPM .

I m making rpm on my build machine.

after that I install it from my installer script using root user

Regards,
Amit
# 6  
Old 09-12-2008
What do you have in the %pre and %post sections of your spec file?
# 7  
Old 09-15-2008
Quote:
Originally Posted by Annihilannic
What do you have in the %pre and %post sections of your spec file?
Helo thx for replying me.

I have following in the %pre

%prep
echo 'Prep' $RPM_BUILD_ROOT
%setup -q
%{__cat} <<EOF >%{_tmppath}/find_requires
#! /bin/sh
exec %{__find_requires} | /bin/egrep -v 'libclntsh.so.10.1' | /bin/egrep -v 'libnnz10.so'
exit 0
EOF
chmod +x %{_tmppath}/find_requires
%define _use_internal_dependency_generator 0
%define __find_requires %{_tmppath}/find_requires

%build
echo 'Build' $RPM_BUILD_ROOT
[ ${RPM_BUILD_ROOT} != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT

I have following in the %post


%post
export SW_SOFTWARE_SPEC="%{name},COMPONENT,r=%{version}"
export FILESET="COMPONENT"
export PRODUCT="%{name}"
%{pdsdir}/shell/COMPONENT/postinstall && %{pdsdir}/shell/COMPONENT/configure


Regards,
Amit

Previous Thread | Next Thread
Test Your Knowledge in Computers #787
Difficulty: Medium
In early 2019, Bill Gates responded to the public backlash against billionaires by demanding a lower estate tax.
True or False?

10 More Discussions You Might Find Interesting

1. AIX

Issue with installing rpm in AIX 6.1

I am trying to install an rpm : libiconv-1.14-1.aix5.1.ppc.rpm which is a dependency to install GIT. While I gave the command I got the foll message: root:user-> $ rpm -i -v libiconv-1.14-1.aix5.1.ppc.rpm libiconv-1.14-1 ar: Cannot open or remove a file containing a running program.... (2 Replies)
Discussion started by: gaugeta
2 Replies

2. AIX

Problem Installing Apache from rpm

I am attempting to install an rpm of Apache from perzl.org on an AIX 6100-07-03-1207 server and it is failing. I think I have all of the dependencies installed. Can anyone help? Any help would be appreciated. It fails with the following error: # rpm -Uvh httpd-2.4.2-2.aix5.1.ppc.rpm ... (3 Replies)
Discussion started by: lbholde
3 Replies

3. Red Hat

Installing rpm in centos 6

hi, i am try to install a package in centos 6.2 x86-64 but unable to find any package in centos media iso. In RHEL we have a product folder which contain all the list of rpm but in centos i cant found that. I have use yum command but it also cant work show me the message no module named yum.... (1 Reply)
Discussion started by: zeeshan047
1 Replies

4. Red Hat

installing rpm from ISO

Hi, I would like to know is it possible to install rpm along its depedable rpm from mounted .iso image on Redhat Linux while installing rpm it is showing so many depandancy, so I would like to know with single command wheather it will take all depedable rpm from mounted iso image. (1 Reply)
Discussion started by: manoj.solaris
1 Replies

5. OS X (Apple)

Installing RPM built on CentOS on Mac OS X

I have a build process that runs on CentOS that builds RPMs for a java-based product. I'd like to be able to install these RPMs on my Mac OS X laptop for testing purposes. I don't need an RPM database to manage dependencies or previously installed packages. Consider this RPM to be a glorified... (1 Reply)
Discussion started by: jschnitter
1 Replies

6. Red Hat

Installing rpm packages

Hi guys, I am trying to install some packages for my oracle 11g r2 installation, the below error shows up when I try below: warning: glibc-devel-2.5-24.i386.rpm: Header V3 DSA signature: NOKEY, key ID 37017186 error: Failed dependencies: glibc-headers is needed by... (8 Replies)
Discussion started by: messi777
8 Replies

7. Shell Programming and Scripting

User installing a rpm package

Hi, I have an application to be installed and I want a user to be able to install it. But I meet the following issues: Removing MyApp error: cannot get exclusive lock on /var/lib/rpm/Packages error: cannot open Packages index using db3 - Operation not permitted (1) error: cannot open... (1 Reply)
Discussion started by: potro
1 Replies

8. HP-UX

Urgent Help needed for Installing RPM on HP-UX

I am working on a HP-UX PARISC 64 architecture. I am trying to install RPM but without success. Has any body successfully installed RPM on the above architecture. I couldnt find a compatible depot file. I tried to compile the source code for rpm-4.0 package. All the dependencies are... (3 Replies)
Discussion started by: sjcekk
3 Replies

9. Shell Programming and Scripting

Installing database through RPM

Hi everyone I have just joined a software developing team. I am new to unix. Basically we are developing a product, the problem is when the end user will install this package we would like to install the datbase associated with our product using RPM. Can it be done? how secure it is? and... (0 Replies)
Discussion started by: atul.saxena
0 Replies

10. UNIX for Dummies Questions & Answers

Installing php-4.3.3-2.i386.rpm

Ok when i try to run the install the is what i get How can i fix this can anyone help (8 Replies)
Discussion started by: Blackrose
8 Replies

Featured Tech Videos